/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sept. 2005

 File          : TimerTrig1.c

 Hardware      : Applicable to ADuC702x rev H or I silicon
                 Currently targetting ADuC7026.

 Description   : Demonstrates Timer 1 causing an interrupt and complements
 				 P4.2 every 50ms.

		
*********************************************************************/
#include<ADuC7026.h>

void IRQ_Handler(void) __irq;

int main (void)  {

 	T1LD = 0x20000;						// Counter Value
	T1CON = 0xC4;						// Enabled,Periodic,Binary and CLK/16
	IRQEN = GP_TIMER_BIT;				// Enable XIRQ0 and Timer1 IRQ

	// configures GPIO to flash LED P4.2
	GP4DAT = 0x04000000;			// P4.2 configured as an output. LED is turned on	

	while (1)
	{
	}				
}

/********************************************************************/
/*                                                                  */
/*		Interrupt Service Rountine									*/
/*                                                                  */
/********************************************************************/

void IRQ_Handler() __irq							// example with two IRQ
{				
	if ((IRQSTA & GP_TIMER_BIT) != 0)	 		// Timer1 IRQ?
	{
		GP4DAT ^= 0x00040000;					// Complement P4.2
		T1CLRI = 0;								// Clear Timer IRQ
	} 				
	return ;
} 


